#### D.14.5.3 netBigIntMat

Procedure from library `nets.lib` (see nets_lib).

Usage:
  netBigIntMat(M); M bigint Matrix

Assume:
  M is a bigintmatrix

Return:
  visual presentation of M

Theory:
  A Singular object is converted into a character array (a Net) for on screen printing.

Example:

    LIB "nets.lib";
    ring r1=101,(x,y,z),lp;
    int a=111111;
    int b=22222;
    int c=3333;
    int d=444;
    bigintmat M[2][2]=a,b,c,d;
    netBigIntMat(M);
    ==> | 111111 22222 |
    ==> | 3333   444   |
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.